"You're trying to edit an outdated version of that page." when using the confluence json-rpc API

I'm trying to use the storePage method to update a page. From reading the docs I came to understand that if I want to use storePage to update a page I need to provide the page id and the new version. But no matter what I try I seem to the this error about trying to edit an outdated version. There is currently only one version of the page... and nothing has it open to edit. Anybody got a clue what's going on?

Here's the JSON-RPC call I'm making:

[ {"space" : "AUTO", "title" : "APITest", "content" : "abba", "id":"34637287", "version":"2" }]

Anybody got any theories?

1 answer

1 accepted

This widget could not be displayed.

Send old version, Confluence will increment it itself. (The error message could be clearer.)

Figured this out on my own about 5 days ago actually... :-) Had forgotten I'd posted a question. I figure the reasoning behind this is to be able to alert a script that there's been some sort of change before they update or something like that?

Anyway accepted your answer since it was correct.

Thanks!

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Monday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

468 views 6 6
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you